[INCLUDE]
"mqtt_basic_params.cfg"
"mqtt_basic_fsms.cfg"
"mqtt_basic_templates.cfg"

[MODULE_PARAMETERS]
tsp_LGenBase_EntityGrpDeclarators := {
  { name := "IotClients", eType := "IOT_Entity", eCount := 1 }
}

tsp_EPTF_ExecCtrl_Scenario2EntityGroupList := {
  { scenarioName := "IotClientScenario", eGrpName := "IotClients", name := omit}
}

tsp_LGenBase_TcMgmt_tcTypeDeclarators2 := {
  {
    name := "TC_MQTT_RegDereg",
    fsmName := "MQTT_RegDereg_FSM",
    entityType := "IOT_Entity",
    customEntitySucc := ""
  }
}

tsp_LGenBase_TcMgmt_ScenarioDeclarators3 :=
{
  {
    name := "IotClientScenario",
    tcList := {
      {
        tcName := "TC_MQTT_RegDereg",
        tcParamsList := {
          {startDelay := 1.0},
          {target := { cpsToReach := 1.0 }},
          {scheduler := {preDefinedName := cs}},
          {enableEntitiesAtStart := true},
          {enabledAtStart := true}
          //{trafficStartFinish := {
          //    {nrOfExecStart := {count := 100, actions := {}}},
          //    {nrOfSuccesses := {count := 100, actions := {}}}
          //  }
          //}
        }
      }
    },
    scParamsList := {
      {enabled := true}
    }
  }
}
